package com.qr.flutter_toolkit;

import com.qr.flutter_toolkit.package_info.PackageInfoHandler;

import io.flutter.plugin.common.MethodChannel;
import io.flutter.plugin.common.PluginRegistry.Registrar;

/**
 * FlutterToolkitPlugin
 */
public class FlutterToolkitPlugin {
    private final static String KIT_PATH_PROVIDER = "com.qr.flutter_kit/path_provider";
    private final static String KIT_PACKAGE_INFO = "com.qr.flutter_kit/package_info";

    /**
     * Plugin registration.
     */
    public static void registerWith(Registrar registrar) {
        MethodChannel pathProviderMethodChannel = new MethodChannel(registrar.messenger(), KIT_PATH_PROVIDER);
        pathProviderMethodChannel.setMethodCallHandler(new PackageInfoHandler(registrar));

        MethodChannel packageInfoMethodChannel = new MethodChannel(registrar.messenger(), KIT_PACKAGE_INFO);
        packageInfoMethodChannel.setMethodCallHandler(new PackageInfoHandler(registrar));
    }
}
